<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPoolPlugin\Application\src\Repository;

use Dedi\SyliusCustomerPoolPlugin\Repository\FindUserByEmailAndCustomerPoolTrait;
use Dedi\SyliusCustomerPoolPlugin\Repository\UserWithCustomerPoolRepositoryInterface;
use Sylius\Bundle\CoreBundle\Doctrine\ORM\UserRepository as BaseRepository;

class UserRepository extends BaseRepository implements UserWithCustomerPoolRepositoryInterface
{
    use FindUserByEmailAndCustomerPoolTrait;
}
